ViennaCL - The Vienna Computing Library: tests/src/vector_int.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Functions
vector_int.cpp File Reference
`#include <iostream>`
`#include <iomanip>`
`#include "viennacl/vector.hpp"`
`#include "viennacl/vector_proxy.hpp"`
`#include "viennacl/linalg/inner_prod.hpp"`
`#include "viennacl/linalg/norm_1.hpp"`
`#include "viennacl/linalg/norm_2.hpp"`
`#include "viennacl/linalg/norm_inf.hpp"`
`#include "viennacl/linalg/maxmin.hpp"`
`#include "viennacl/linalg/sum.hpp"`

Go to the source code of this file.

## Macros
#define | GENERATE_UNARY_OP_TEST(FUNCNAME)

## Functions
template<typename ScalarType >
ScalarType | diff (ScalarType const &s1, ScalarType const &s2)
template<typename ScalarType >
ScalarType | diff (ScalarType const &s1, viennacl::scalar< ScalarType > const &s2)
template<typename ScalarType >
ScalarType | diff (ScalarType const &s1, viennacl::entry_proxy< ScalarType > const &s2)
template<typename ScalarType , typename VCLVectorType >
ScalarType | diff (std::vector< ScalarType > const &v1, VCLVectorType const &v2)
template<typename T1 , typename T2 >
int | check (T1 const &t1, T2 const &t2)
template<typename NumericT , typename STLVectorType , typename ViennaCLVectorType1 , typename ViennaCLVectorType2 >
int | test (STLVectorType &std_v1, STLVectorType &std_v2, ViennaCLVectorType1 &vcl_v1, ViennaCLVectorType2 &vcl_v2)
template<typename NumericT >
int | test ()
int | main ()

## Detailed Description

Tests vector operations (BLAS level 1) for signed integer arithmetic.

Test:
  Tests vector operations (BLAS level 1) for signed integer arithmetic.

Definition in file vector_int.cpp.

## Macro Definition Documentation

#define GENERATE_UNARY_OP_TEST | ( |  | FUNCNAME | ) |

## Function Documentation

template<typename T1 , typename T2 >

int check | ( | T1 const & | t1,
|  | T2 const & | t2
| ) |  |

Definition at line 89 of file vector_int.cpp.

template<typename ScalarType >

ScalarType diff | ( | ScalarType const & | s1,
|  | ScalarType const & | s2
| ) |  |

Definition at line 46 of file vector_int.cpp.

template<typename ScalarType >

ScalarType diff | ( | ScalarType const & | s1,
|  | viennacl::scalar< ScalarType > const & | s2
| ) |  |

Definition at line 55 of file vector_int.cpp.

template<typename ScalarType >

ScalarType diff | ( | ScalarType const & | s1,
|  | viennacl::entry_proxy< ScalarType > const & | s2
| ) |  |

Definition at line 64 of file vector_int.cpp.

template<typename ScalarType , typename VCLVectorType >

ScalarType diff | ( | std::vector< ScalarType > const & | v1,
|  | VCLVectorType const & | v2
| ) |  |

Definition at line 73 of file vector_int.cpp.

int main | ( |  | ) |

Definition at line 1740 of file vector_int.cpp.

template<typename NumericT , typename STLVectorType , typename ViennaCLVectorType1 , typename ViennaCLVectorType2 >

int test | ( | STLVectorType & | std_v1,
|  | STLVectorType & | std_v2,
|  | ViennaCLVectorType1 & | vcl_v1,
|  | ViennaCLVectorType2 & | vcl_v2
| ) |  |

Definition at line 106 of file vector_int.cpp.

template<typename NumericT >

int test | ( |  | ) |

Definition at line 1589 of file vector_int.cpp.